Bug 831350 - [abrt] rhythmbox-2.96-3.fc17: g_logv: Process /usr/bin/rhythmbox was killed by signal 5 (SIGTRAP)
[abrt] rhythmbox-2.96-3.fc17: g_logv: Process /usr/bin/rhythmbox was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:4f870383f840cbe4ba8f2f2b982...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 16:20 EDT by Bartosz
Modified: 2013-07-31 16:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:43:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (66.75 KB, text/plain)
2012-06-12 16:20 EDT, Bartosz
no flags Details
File: dso_list (13.96 KB, text/plain)
2012-06-12 16:20 EDT, Bartosz
no flags Details
File: build_ids (5.73 KB, text/plain)
2012-06-12 16:20 EDT, Bartosz
no flags Details
File: backtrace (31.64 KB, text/plain)
2012-06-12 16:20 EDT, Bartosz
no flags Details

  None (edit)
Description Bartosz 2012-06-12 16:20:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_logv
executable:     /usr/bin/rhythmbox
kernel:         3.4.0-1.fc17.x86_64
pid:            8405
pwd:            /home/bartosz
time:           wto, 12 cze 2012, 21:47:01
uid:            1000
username:       bartosz

backtrace:      Text file, 32400 bytes
build_ids:      Text file, 5863 bytes
dso_list:       Text file, 14290 bytes
maps:           Text file, 68354 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/bartosz/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e851 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa6322 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa64fc - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xab453 g_settings_bind_with_mapping libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xab947 g_settings_bind libgio-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x5636e - librhythmbox-core.so.6 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x977a2 g_application_register libgio-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x57507 - librhythmbox-core.so.6 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97d58 g_application_run libgio-2.0.so.0 -
:a87bd1401d9463e0bf391e3f95653ed1121ee807 0x115f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=29-194-251-94.net.stream.pl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/bartosz/keyring-v7Z5sI
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=bartosz
:USERNAME=bartosz
:MAIL=/var/spool/mail/bartosz
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/bartosz/.local/bin:/home/bartosz/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/bartosz
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=910
:LANG=pl_PL.utf8
:GDM_LANG=pl_PL.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/bartosz
:SHLVL=1
:LOGNAME=bartosz
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-w1Cpszha9o,guid=8ffce37e1656a35d21b1ebbf00000140
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/bartosz
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-bartosz-KFnu5F/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/914,unix/unix:/tmp/.ICE-unix/914
:GPG_AGENT_INFO=/run/user/bartosz/keyring-v7Z5sI/gpg:0:1
:SSH_AUTH_SOCK=/run/user/bartosz/keyring-v7Z5sI/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8405
:DESKTOP_STARTUP_ID=gnome-shell-1129-29-194-251-94.net.stream.pl-rhythmbox-4_TIME13344561

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7797                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7797                 7797                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/bartosz/.xsession-errors
:2:/home/bartosz/.xsession-errors
:3:anon_inode:[eventfd]
:4:socket:[759049]
:5:socket:[758284]
:6:socket:[759052]
:7:anon_inode:[eventfd]
:8:anon_inode:[eventfd]
:9:socket:[758317]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:socket:[759072]
:13:/home/bartosz/.cache/rhythmbox/album-art/store.tdb

var_log_messages:
:Jun 12 21:47:01 29-194-251-94 kernel: [13349.392772] rhythmbox[8405] trap int3 ip:3ab644e851 sp:7fffb788fe30 error:0
:Jun 12 21:47:02 29-194-251-94 abrt[8408]: Saved core dump of pid 8405 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-12-21:47:01-8405 (28225536 bytes)
Comment 1 Bartosz 2012-06-12 16:20:38 EDT
Created attachment 591277 [details]
File: maps
Comment 2 Bartosz 2012-06-12 16:20:40 EDT
Created attachment 591278 [details]
File: dso_list
Comment 3 Bartosz 2012-06-12 16:20:43 EDT
Created attachment 591279 [details]
File: build_ids
Comment 4 Bartosz 2012-06-12 16:20:46 EDT
Created attachment 591280 [details]
File: backtrace
Comment 5 Milan Bouchet-Valat 2012-06-16 11:15:59 EDT
On startup.

backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Milan Bouchet-Valat 2012-06-16 11:41:11 EDT
The error is just:
(rhythmbox:3067): GLib-GIO-ERROR **: Settings schema 'org.gnome.rhythmbox' does not contain a key named 'show-album-art'

This schema is present in /usr/share/glib-2.0/schemas, and running
glib-compile-schemas /usr/share/glib-2.0/schemas/
as root fixed the problem.

So it looks like the package did not compile schemas correctly on update.
Comment 7 Pat Smith 2012-07-06 08:36:08 EDT
simpl openening the application causes it to crash.  This is always reproducible

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Pat Smith 2012-07-06 08:45:59 EDT
Recompiling the schema doirectory as noted above does not appear to have worked.  Still getting SIGTRAP when starting Rhythmbox...
Comment 9 Andrei Cristian Petcu 2012-08-10 18:02:18 EDT
1) fresh fedora 17x64 install
2) run a update from the gui (Software Updates)
3) open various apps (games, nautilus etc.)
4) Open Rhithmbox
5) Rhithmbox crashes


backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 mishevivica 2012-08-15 21:12:44 EDT
lost power and comuter shot sown when was update

backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Fedora End Of Life 2013-07-03 16:35:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 16:43:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.